
From: Russell King <rmk+lkml@arm.linux.org.uk>

I think it's about time to make the build a little more vocal about the
expiry of these functions.  Due to recent discussions with problems in the
console initialisation vs power manglement, I'd like to move the date
forward to September.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/serial.h      |    6 ++++--
 include/linux/serial_core.h |    5 +++--
 2 files changed, 7 insertions(+), 4 deletions(-)

diff -puN include/linux/serial_core.h~deprecate-register_serial-and-unregister_serial include/linux/serial_core.h
--- devel/include/linux/serial_core.h~deprecate-register_serial-and-unregister_serial	2005-07-14 16:02:34.000000000 -0700
+++ devel-akpm/include/linux/serial_core.h	2005-07-14 16:02:34.000000000 -0700
@@ -122,6 +122,7 @@
 #ifdef __KERNEL__
 
 #include <linux/config.h>
+#include <linux/compiler.h>
 #include <linux/interrupt.h>
 #include <linux/circ_buf.h>
 #include <linux/spinlock.h>
@@ -359,8 +360,8 @@ struct tty_driver *uart_console_device(s
  */
 int uart_register_driver(struct uart_driver *uart);
 void uart_unregister_driver(struct uart_driver *uart);
-void uart_unregister_port(struct uart_driver *reg, int line);
-int uart_register_port(struct uart_driver *reg, struct uart_port *port);
+void __deprecated uart_unregister_port(struct uart_driver *reg, int line);
+int __deprecated uart_register_port(struct uart_driver *reg, struct uart_port *port);
 int uart_add_one_port(struct uart_driver *reg, struct uart_port *port);
 int uart_remove_one_port(struct uart_driver *reg, struct uart_port *port);
 int uart_match_port(struct uart_port *port1, struct uart_port *port2);
diff -puN include/linux/serial.h~deprecate-register_serial-and-unregister_serial include/linux/serial.h
--- devel/include/linux/serial.h~deprecate-register_serial-and-unregister_serial	2005-07-14 16:02:34.000000000 -0700
+++ devel-akpm/include/linux/serial.h	2005-07-14 16:02:34.000000000 -0700
@@ -174,9 +174,11 @@ struct serial_icounter_struct {
 
 
 #ifdef __KERNEL__
+#include <linux/compiler.h>
+
 /* Export to allow PCMCIA to use this - Dave Hinds */
-extern int register_serial(struct serial_struct *req);
-extern void unregister_serial(int line);
+extern int __deprecated register_serial(struct serial_struct *req);
+extern void __deprecated unregister_serial(int line);
 
 /* Allow architectures to override entries in serial8250_ports[] at run time: */
 struct uart_port;	/* forward declaration */
_
